Bug 1432485 - Instance/VM quadicon state image is square instead of curved
Summary: Instance/VM quadicon state image is square instead of curved
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:cloud
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 13:55 UTC by Matouš Mojžíš
Modified: 2017-05-31 14:42 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:42:29 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
instance quadicon (34.97 KB, image/png)
2017-03-15 13:55 UTC, Matouš Mojžíš
no flags Details
Instance quad icon (63.48 KB, image/png)
2017-03-20 14:20 UTC, Eric Winchell
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Matouš Mojžíš 2017-03-15 13:55:19 UTC
Created attachment 1263343 [details]
instance quadicon

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.4

How reproducible:
Always

Steps to Reproduce:
1. Add a cloud/infra provider
2. Go to Instances/VMs
3.

Actual results:
Attached screenshot

Expected results:


Additional info:

Comment 3 Eric Winchell 2017-03-20 14:20:05 UTC
Created attachment 1264769 [details]
Instance quad icon

Comment 6 CFME Bot 2017-03-23 20:08:09 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/29a031ec6eb0d577987621c9f4ea28c5b885afea

commit 29a031ec6eb0d577987621c9f4ea28c5b885afea
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Mar 23 15:50:37 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Mar 23 20:09:16 2017 +0100

    Crop the powerstate svg in quadicons using border-radius
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1432485

 app/assets/stylesheets/template.scss |  9 ++++++---
 app/helpers/quadicon_helper.rb       | 28 ++++++++++++++++++++++++++--
 2 files changed, 32 insertions(+), 5 deletions(-)

Comment 7 Nandini Chandra 2017-04-10 18:32:52 UTC
Verified in 5.8.0.9

Comment 9 errata-xmlrpc 2017-05-31 14:42:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.